<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast/DeclRepoId.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast.DeclRepoId</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlast.html" >idlast</a>
</div><div class="class-name">class DeclRepoId

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">../Synopsis/Parsers/IDL/idlast.py</a></div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line231" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="DeclRepoId-inheritance" src="DeclRepoId-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DeclRepoId-inheritance_map" />
<map name="DeclRepoId-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" href="ValueAbs.html" shape="rect" coords="5, 81, 235, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Parts/Summary/Summary.html" href="../../../Formatters/HTML/Parts/Summary/Summary.html" shape="rect" coords="259, 81, 581, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/UnionForward.html" href="UnionForward.html" shape="rect" coords="605, 81, 861, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Declarator.html" href="Declarator.html" shape="rect" coords="885, 81, 1120, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Value.html" href="Value.html" shape="rect" coords="1144, 81, 1352, 105" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Markup/RST/DocBookTranslator.html" href="../../../Formatters/DocBook/Markup/RST/DocBookTranslator.html" shape="rect" coords="1376, 81, 1752, 105" />
<area alt="Scopes/Synopsis/ASG/Visitor.html" href="../../../ASG/Visitor.html" shape="rect" coords="1776, 81, 1915, 105" />
<area alt="Scopes/Synopsis/DeclarationSorter/DeclarationSorter.html" href="../../../DeclarationSorter/DeclarationSorter.html" shape="rect" coords="1939, 81, 2213, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/InheritanceTree/InheritanceTree.html" href="../../../Formatters/HTML/Views/InheritanceTree/InheritanceTree.html" shape="rect" coords="2237, 81, 2643, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/omni/ASGTranslator.html" href="../omni/ASGTranslator.html" shape="rect" coords="2667, 81, 2925, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Union.html" href="Union.html" shape="rect" coords="2949, 81, 3157, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Interface.html" href="Interface.html" shape="rect" coords="3181, 81, 3408, 105" />
<area alt="Scopes/Synopsis/Processors/AccessRestrictor/AccessRestrictor.html" href="../../../Processors/AccessRestrictor/AccessRestrictor.html" shape="rect" coords="3432, 81, 3760, 105" />
<area alt="Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" href="../../../Formatters/ClassTree/ClassTree.html" shape="rect" coords="3784, 81, 4037, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/FileListing/FileListing.html" href="../../../Formatters/HTML/Views/FileListing/FileListing.html" shape="rect" coords="4061, 81, 4400, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" href="../omni/TypeTranslator.html" shape="rect" coords="4424, 81, 4685, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Const.html" href="Const.html" shape="rect" coords="4709, 81, 4917, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter/DeclarationFormatter.html" href="../../../Formatters/HTML/Fragments/DeclarationFormatter/DeclarationFormatter.html" shape="rect" coords="4941, 81, 5429, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/ClassHierarchyGraph/ClassHierarchyGraph.html" href="../../../Formatters/HTML/Fragments/ClassHierarchyGraph/ClassHierarchyGraph.html" shape="rect" coords="5453, 81, 5936, 105" />
<area alt="Scopes/Synopsis/Processors/TemplateLinker/TemplateLinker.html" href="../../../Processors/TemplateLinker/TemplateLinker.html" shape="rect" coords="5960, 81, 6277, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" href="ValueBox.html" shape="rect" coords="6301, 81, 6531, 105" />
<area alt="Scopes/Synopsis/Formatters/Dump/Formatter.html" href="../../../Formatters/Dump/Formatter.html" shape="rect" coords="6555, 81, 6787, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Previous/Previous.html" href="../../../Processors/Comments/Previous/Previous.html" shape="rect" coords="6811, 81, 7112, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Forward.html" href="Forward.html" shape="rect" coords="7136, 81, 7360, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/View/Format.html" href="../../../Formatters/HTML/View/Format.html" shape="rect" coords="7384, 81, 7637, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/StructForward.html" href="StructForward.html" shape="rect" coords="7661, 81, 7917, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" href="ValueForward.html" shape="rect" coords="7941, 81, 8197, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Parts/Detail/Detail.html" href="../../../Formatters/HTML/Parts/Detail/Detail.html" shape="rect" coords="8221, 81, 8501, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" href="../../../Processors/Comments/Grouper/Grouper.html" shape="rect" coords="8525, 81, 8821, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Enumerator.html" href="Enumerator.html" shape="rect" coords="8845, 81, 9088, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Markup/Markup/Formatter.html" href="../../../Formatters/HTML/Markup/Markup/Formatter.html" shape="rect" coords="9112, 81, 9443, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/XRefLinker/XRefLinker.html" href="../../../Formatters/HTML/Fragments/XRefLinker/XRefLinker.html" shape="rect" coords="9467, 81, 9851, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Struct.html" href="Struct.html" shape="rect" coords="9875, 81, 10083, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/Default/Default.html" href="../../../Formatters/HTML/Fragments/Default/Default.html" shape="rect" coords="10107, 81, 10437, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/FileDetails/FileDetails.html" href="../../../Formatters/HTML/Views/FileDetails/FileDetails.html" shape="rect" coords="10461, 81, 10800, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/HeadingFormatter/HeadingFormatter.html" href="../../../Formatters/HTML/Fragments/HeadingFormatter/HeadingFormatter.html" shape="rect" coords="10824, 81, 11277, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Operation.html" href="Operation.html" shape="rect" coords="11301, 81, 11533, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Native.html" href="Native.html" shape="rect" coords="11557, 81, 11768, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/Directory/Directory.html" href="../../../Formatters/HTML/Views/Directory/Directory.html" shape="rect" coords="11792, 81, 12120, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Exception.html" href="Exception.html" shape="rect" coords="12144, 81, 12376, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Enum.html" href="Enum.html" shape="rect" coords="12400, 81, 12608, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/Module.html" href="Module.html" shape="rect" coords="12632, 81, 12851, 105" />
<area alt="Scopes/Synopsis/Formatters/Texinfo/Formatter.html" href="../../../Formatters/Texinfo/Formatter.html" shape="rect" coords="12875, 81, 13117, 105" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Markup/Markup/Formatter.html" href="../../../Formatters/DocBook/Markup/Markup/Formatter.html" shape="rect" coords="13141, 81, 13483, 105" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Markup/RST/Writer.html" href="../../../Formatters/DocBook/Markup/RST/Writer.html" shape="rect" coords="13507, 81, 13811, 105" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Markup/Javadoc/Javadoc.html" href="../../../Formatters/DocBook/Markup/Javadoc/Javadoc.html" shape="rect" coords="13835, 81, 14165, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/FileIndex/FileIndex.html" href="../../../Formatters/HTML/Views/FileIndex/FileIndex.html" shape="rect" coords="14189, 81, 14517, 105" />
</map>
 <div class="doc">Mixin class for Decls which have a Repository Id

Functions:

  identifier&#40;&#41; -- name of the declaration as a string
  scopedName&#40;&#41; -- list of strings forming the fully-scoped name of the
                  declaration. e.g. ::foo::bar::baz is represented as
                  ['foo'&#44; 'bar'&#44; 'baz'].
  repoId&#40;&#41;     -- repository identifier for this declaration.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__identifier">__identifier</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line243" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__scopedName">__scopedName</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line244" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__repoId">__repoId</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line245" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">identifier</span>, <span class="variable">scopedName</span>, <span class="variable">repoId</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line242" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="identifier">identifier</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId.identifier" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scopedName">scopedName</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId.scopedName" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line248" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="repoId">repoId</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId.repoId" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line249" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:03 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
